import { useMessage } from "/@/hooks/web/useMessage";
import { defHttp } from "/@/utils/http/axios";

const { createConfirm } = useMessage();

enum Api {
  list = '/rectify.assin/stProblemTaskAssin/rootList',
  save='/rectify.assin/stProblemTaskAssin/add',
  edit='/rectify.assin/stProblemTaskAssin/edit',
  editFp='/rectify.assin/stProblemTaskAssin/editFp',
  batchditFp='/rectify.assin/stProblemTaskAssin/batchEditFp',
  deleteStProblemTaskAssin = '/rectify.assin/stProblemTaskAssin/delete',
  importExcel = '/rectify.assin/stProblemTaskAssin/importExcel',
  exportXls = '/rectify.assin/stProblemTaskAssin/exportXls',
  loadTreeData = '/rectify.assin/stProblemTaskAssin/loadTreeRoot',
  getChildList = '/rectify.assin/stProblemTaskAssin/childList',
  getChildListBatch = '/rectify.assin/stProblemTaskAssin/getChildListBatch',
  importProblemAssin = '/rectify.assin/stProblemTaskAssin/importProblemAssin',
  projectImport = '/rectify.assin/stProblemTaskAssin/projectImport',
  listByProjectId = '/problem/stProblem/listByProjectId',
}

/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 * @param params
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});
export const listByProjectId = (params) =>
  defHttp.get({url: Api.listByProjectId, params});
/**
 * 删除
 */
export const deleteStProblemTaskAssin = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteStProblemTaskAssin, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDeleteStProblemTaskAssin = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteStProblemTaskAssin, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdateDict = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}

export const saveOrUpdateDictFp = (params, isUpdate) => {
  let url = isUpdate ? Api.editFp : Api.save;
  return defHttp.post({url: url, params});
}
export const batchditFp = (params) =>{
  return defHttp.post({url: Api.batchditFp,params})
}
export const importProblem = (params) =>{
  return defHttp.post({url: Api.importProblemAssin,params})
}
export const projectImport = (params) =>{
  return defHttp.post({url: Api.projectImport,params})
}
/**
 * 查询全部树形节点数据
 * @param params
 */
export const loadTreeData = (params) =>
  defHttp.get({url: Api.loadTreeData,params});
/**
 * 查询子节点数据
 * @param params
 */
export const getChildList = (params) =>
  defHttp.get({url: Api.getChildList, params});
/**
 * 批量查询子节点数据
 * @param params
 */
export const getChildListBatch = (params) =>
  defHttp.get({url: Api.getChildListBatch, params},{isTransformResponse:false});
